aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-03-16 21:22:05 -0700
committerJunio C Hamano <junkio@cox.net>2007-03-16 21:22:05 -0700
commit0d38ab259e074cd0962451075faf120c416a0706 (patch)
tree76d73fd94997c865e694cb707d400fa31b6bc154
parentdbb2b41aa49aa0cd088f5fabd5326dcfed7144e3 (diff)
downloadgit-0d38ab259e074cd0962451075faf120c416a0706.tar.gz
git-0d38ab259e074cd0962451075faf120c416a0706.tar.xz
applymbox: brown paper bag fix.
An earlier patch 87ab7992 broke applymbox by blindly copying piece from git-am, causing a harmless but annoying series of error messages. Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-applymbox.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-applymbox.sh b/git-applymbox.sh
index 2cbdc7eb3..3efd6a746 100755
--- a/git-applymbox.sh
+++ b/git-applymbox.sh
@@ -77,9 +77,9 @@ do
*)
git-mailinfo $keep_subject $utf8 \
.dotest/msg .dotest/patch <$i >.dotest/info || exit 1
- test -s $dotest/patch || {
+ test -s .dotest/patch || {
echo "Patch is empty. Was is split wrong?"
- stop_here $this
+ exit 1
}
git-stripspace < .dotest/msg > .dotest/msg-clean
;;